Subject: Re: pgstat include expansion

From: Alvaro Herrera <[email-masked]>
Date: Thu, 26 Feb 2026 18:07:43 +0100

Hi,

On 2026-Feb-26, Andres Freund wrote:

> I'm not sure that including in latch.h really would an improvement though -
> that's included in proc.h and libpq.h, which both are fairly widely included
> [1].

> [1] Although at least the include in libpq.h seems like it could trivially be
> replaced by a forward declaration. There's only three .c files that need to be
> fixed for that...

Okay, let's start there -- pushed that for now.

Pity, that we can't remove latch.h from proc.h.  That's really where
most of the mess is, here ...

-- 
Álvaro Herrera        Breisgau, Deutschland  —  https://www.EnterpriseDB.com/
Essentially, you're proposing Kevlar shoes as a solution for the problem
that you want to walk around carrying a loaded gun aimed at your foot.
(Tom Lane)